Foreman - Bug #3120

Update apipie_rails to 0.0.23
09/19/2013 11:30 AM - Toma$ Strachota

Status: Closed

Priority: Normal

Assignee: Tomas Strachota

Category: API

Target version: 1.3.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

It fixes several issues we depend on in foreman_api/hammer:
- better exceptions on unknown parameter types

- param substitution in concerns fixed

- fixed expected type for Array parameters

Associated revisions

Revision 36c04¢36 - 09/20/2013 07:46 PM - Tomas Strachota

fixes #3120 - bumped version of apipie-rails

Revision abff3165 - 09/23/2013 09:49 AM - Tomas Strachota

fixes #3120 - bumped version of apipie-rails

(cherry picked from commit 36c04c36a0b48e3cb3edabb6ce4711de58c3441b)

History

#1 - 09/19/2013 11:41 AM - Tomas Strachota
- Status changed from New to Ready For Testing

https://github.com/theforeman/foreman/pull/895

#2 - 09/19/2013 02:47 PM - Dominic Cleal

- Target version changed from 1.4.0 to 1.3.0

Already in use in the RPM and Debian package, might as well pull into 1.3.

#3 - 09/19/2013 02:48 PM - Dominic Cleal
- Related to Tracker #3112: [TRACKER] Issues to be released in 1.3 RC or final added

#4 - 09/20/2013 08:31 PM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 36c04c36a0b48e3cb3edabbbced711de58c3441b.

#5 - 09/23/2013 09:51 AM - Lukas Zapletal
- Related to deleted (Tracker #3112: [TRACKER] Issues to be released in 1.3 RC or final)

05/16/2024

1/1



https://github.com/theforeman/foreman/pull/895
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/36c04c36a0b48e3cb3eda6b6ce4711de58c3441b
http://www.tcpdf.org

